# 63. Mutação: Salvar Organização

Mutation para adicionar ou editar a "Organização". O "Usuário" que enviou a requisição saveOrganization será o proprietário da "Organização".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation saveOrganizationSample {
  saveOrganization(
    input: {
      name: "Nome da organização"
      surname: "Sobrenome do proprietário"
      givenName: "Nome do proprietário"
      email: "owner@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    nome
    surname
    givenName
    email
    phone
    dataDeCriação
    updatedDate
  }
}
```

{% endcode %}

Para editar a "Organização" existente, adicione o atributo uuid à requisição.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation saveOrganizationSample {
  saveOrganization(
    input: {
      uuid: "<organization_uuid>"
      name: "Novo nome da organização"
      surname: "Sobrenome do proprietário"
      givenName: "Nome do proprietário"
      email: "owner_info@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    nome
    surname
    givenName
    email
    phone
    dataDeCriação
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/docs-da-api/visao-geral-das-solicitacoes-da-api-do-geopard/63.-mutacao-salvar-organizacao.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
